Team

Change a member's role (a workspace keeps at least one owner)

PUT
/members/{id}/role

Change a member's role (a workspace keeps at least one owner). Requires the OWNER role.

Authorization

__Host-qm_session<token>

Session cookie set by sign-in on HTTPS deployments (the hosted demo).

In: cookie

Path Parameters

id*string

Resource id (UUID).

Formatuuid

Header Parameters

X-Requested-With*string

CSRF guard: must be quartermaster on every mutation.

Request Body

application/json

A member's new role.

A member's new role.

role*string

Workspace role.

Value in

  • "OWNER"
  • "MANAGER"
  • "VIEWER"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/members/0f8fad5b-d9cb-469f-a165-70867728950e/role" \  -H "X-Requested-With: quartermaster" \  -H "Content-Type: application/json" \  -d '{    "role": "VIEWER"  }'
{  "member": {    "user_id": "string",    "email": "string",    "name": "string",    "role": "OWNER",    "joined_at": "string",    "is_self": true  }}